about summary refs log tree commit diff
path: root/tests/binary-cache.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-01-08T16·56+0100
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-01-08T16·57+0100
commitf4013b6189af731af42f99684ed7721076a54a0d (patch)
treefeae68f74956b352b444d73a17a0387250afabf5 /tests/binary-cache.sh
parentea38e39a203a96451b1d0469103b737de5a85105 (diff)
Fix signed-binary-caches test
Diffstat (limited to 'tests/binary-cache.sh')
-rw-r--r--tests/binary-cache.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/binary-cache.sh b/tests/binary-cache.sh
index 71ede03c83..9bd4fecb6d 100644
--- a/tests/binary-cache.sh
+++ b/tests/binary-cache.sh
@@ -59,7 +59,10 @@ clearStore
 
 rm -f $NIX_STATE_DIR/binary-cache*
 
-nix-store --option binary-caches "file://$cacheDir" --option signed-binary-caches 1 -r $outPath
+if nix-store --option binary-caches "file://$cacheDir" --option signed-binary-caches '*' -r $outPath; then
+    echo "unsigned binary cache incorrectly accepted"
+    exit 1
+fi
 
 
 # Test whether fallback works if we have cached info but the